<?xml version="1.0" encoding="UTF-8"?>
<web-app version="3.1" xmlns="http://xmlns.jcp.org/xml/ns/javaee" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://xmlns.jcp.org/xml/ns/javaee http://xmlns.jcp.org/xml/ns/javaee/web-app_3_1.xsd">
    <servlet>
        <servlet-name>LoginServlet</servlet-name>
        <servlet-class>Controller.LoginServlet</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>DashboardServlet</servlet-name>
        <servlet-class>Controller.DashboardServlet</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>UsuarioServlet</servlet-name>
        <servlet-class>Controller.UsuarioServlet</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>GeneroServlet</servlet-name>
        <servlet-class>Controller.GeneroServlet</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>DescuentoServlet</servlet-name>
        <servlet-class>Controller.DescuentoServlet</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>CargoServlet</servlet-name>
        <servlet-class>Controller.CargoServlet</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>TipoContratoServlet</servlet-name>
        <servlet-class>Controller.TipoContratoServlet</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>EmpleadoServlet</servlet-name>
        <servlet-class>Controller.EmpleadoServlet</servlet-class>
    </servlet>
    <servlet-mapping>
        <servlet-name>LoginServlet</servlet-name>
        <url-pattern>/Login/*</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>DashboardServlet</servlet-name>
        <url-pattern>/Dashboard/*</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>UsuarioServlet</servlet-name>
        <url-pattern>/Usuario/*</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>GeneroServlet</servlet-name>
        <url-pattern>/Genero/*</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>DescuentoServlet</servlet-name>
        <url-pattern>/Descuento/*</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>CargoServlet</servlet-name>
        <url-pattern>/Cargo/*</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>TipoContratoServlet</servlet-name>
        <url-pattern>/TipoContrato/*</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>EmpleadoServlet</servlet-name>
        <url-pattern>/Empleado/*</url-pattern>
    </servlet-mapping>
    <session-config>
        <session-timeout>
            30
        </session-timeout>
    </session-config>
</web-app>
